Subject: Re: [Gen-art] Gen-ART review of draft-ietf-ospf-te-metric-extensions-09

From: Jari Arkko <[email-masked]>
Date: Wed, 7 Jan 2015 13:51:38 +0200

Thanks for your review. Do the authors have any comments on these observations?

Jari

On 29 Dec 2014, at 22:13, Martin Thomson <[email-masked]> wrote:

> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> < http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Please wait for direction from your document shepherd
> or AD before posting a new version of the draft.
> 
> Document: draft-ietf-ospf-te-metric-extensions-09
> Reviewer: Martin Thomson
> Review Date: 2014-12-29
> IETF LC End Date: 2014-12-24 (nice)
> IESG Telechat date: 2015-01-08
> 
> Summary: Good for PS with some minor issues.
> 
> Observations:
> 
> I find it a little disappointing that measurement techniques are so
> nebulously defined.  Values are measured over "a period" using "some
> method, which might be RFC 6374".  The "A" bit threshold is "a
> configured value".  That means that a consumer of this information has
> to take a lot on faith.  I have to assume that this is because we
> can't do better.
> 
> Minor issues:
> Please ensure that all the field descriptions include some textual
> indication of the size of the field.  Type and length are always 16
> bits each, so those can be assumed from RFC 3630.
> 
> As above, please specify the specific IEEE 754 floating point format,
> i.e., "single precision".  Otherwise you have to look at the figures
> to work out how many bits to use for the value and figures should be
> strictly informational.
> 
> Nits:
> Section 10 is missing a period.
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 7 Jan 2015 15:05:44 +0000

Hi Jari, Martin, 

With respect to a description of how the measurements are obtained, the
document does state that this is out of scope (from the abstract):

   Note that this document only covers the mechanisms by which network
   performance information is distributed. The mechanisms for measuring
   network performance information or using that information, once
   distributed, are outside the scope of this document.

This topic did generate quite a bit of discussion in the various WGs where
delay/loss TE measurements are being discussed. It almost seems like an
informational document describing one way to deploy this would be in order.

Thanks,
Acee